## ros-indigo-rtt-ros 2.8.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rtt_ros)

find_package(catkin REQUIRED COMPONENTS rostime rospack roslib)
find_package(LibXml2 REQUIRED)
find_package(OROCOS-RTT REQUIRED)
include(${OROCOS-RTT_USE_FILE_PATH}/UseOROCOS-RTT.cmake)

catkin_package(
  CFG_EXTRAS rtt_ros-extras.cmake
)

include_directories(include ${catkin_INCLUDE_DIRS} ${LIBXML2_INCLUDE_DIR})

add_definitions(-DRTT_COMPONENT)

orocos_library(rtt_ros src/rtt_ros.cpp)
target_link_libraries(rtt_ros
  ${catkin_LIBRARIES} 
  ${LIBXML2_LIBRARIES}
  )

orocos_service(rtt_ros_service src/rtt_ros_service.cpp)
target_link_libraries(rtt_ros_service
  rtt_ros
  ${catkin_LIBRARIES} 
  )

# ROS Primitives typekit
set(CMAKE_BUILD_TYPE MinSizeRel)
orocos_typekit(rtt-ros-primitives-typekit
  src/orocos/types/ros_primitives_typekit_plugin.cpp
  src/orocos/types/ros_time_type.cpp
  src/orocos/types/ros_uint8_type.cpp
  src/orocos/types/ros_int8_type.cpp
  src/orocos/types/ros_uint16_type.cpp
  src/orocos/types/ros_int16_type.cpp
  src/orocos/types/ros_uint32_type.cpp
  src/orocos/types/ros_int32_type.cpp
  src/orocos/types/ros_uint64_type.cpp
  src/orocos/types/ros_int64_type.cpp
  src/orocos/types/ros_float32_type.cpp
  src/orocos/types/ros_float64_type.cpp
  src/orocos/types/ros_string_type.cpp)
target_link_libraries(rtt-ros-primitives-typekit ${catkin_LIBRARIES})

orocos_generate_package(
  INCLUDE_DIRS include
  DEPENDS rostime
)

install(DIRECTORY scripts/
  USE_SOURCE_PERMISSIONS
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} )

orocos_install_headers(
  DIRECTORY include/${PROJECT_NAME}/
)

=== debian/changelog ===
ros-indigo-rtt-ros (2.8.6-0trusty) trusty; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 14 Nov 2017 23:00:00 -0000

ros-indigo-rtt-ros (2.8.5-0trusty) trusty; urgency=high

  * Merge pull request #85 <https://github.com/orocos/rtt_ros_integration/issues/85> from meyerj/ros-primitives-transport-indigo-devel
    Added a ROS transport plugin for primitive types (indigo-devel)
  * Contributors: Johannes Meyer

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Mon, 27 Mar 2017 22:00:00 -0000

ros-indigo-rtt-ros (2.8.4-0trusty) trusty; urgency=high

  * rtt_ros: fixed comment in rtt_ros/scripts/deployer-corba
  * Merge pull request #40 <https://github.com/orocos/rtt_ros_integration/issues/40> from ahoarau/corba-deployer
    add Corba deployer scripts
  * rtt_ros: fixed rttlua.launch for the SCREEN:=false case (fix #72 <https://github.com/orocos/rtt_ros_integration/issues/72>)
  * Contributors: Johannes Meyer, Antoine Hoarau

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Fri, 25 Nov 2016 23:00:00 -0000

ros-indigo-rtt-ros (2.8.3-0trusty) trusty; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 19 Jul 2016 22:00:00 -0000

ros-indigo-rtt-ros (2.8.2-0trusty) trusty; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Thu, 11 Jun 2015 22:00:00 -0000

ros-indigo-rtt-ros (2.8.1-0trusty) trusty; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Sun, 15 Mar 2015 23:00:00 -0000

ros-indigo-rtt-ros (2.7.2-0trusty) trusty; urgency=high

  * see rtt_ros_integratoin/CHANGELOG.rst <../rtt_ros_integration/CHANGELOG.rst>

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Mon, 20 Jul 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-rtt-ros
Section: misc
Priority: extra
Maintainer: Orocos Developers <orocos-dev@lists.mech.kuleuven.be>
Build-Depends: debhelper (>= 9.0.0), libxml2-dev, ros-indigo-catkin, ros-indigo-ocl, ros-indigo-roslib, ros-indigo-rospack, ros-indigo-rostime, ros-indigo-rtt
Homepage: http://ros.org/wiki/rtt_ros_integration
Standards-Version: 3.9.2

Package: ros-indigo-rtt-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxml2-dev, ros-indigo-ocl, ros-indigo-roslib, ros-indigo-rospack, ros-indigo-rostime, ros-indigo-rtt
Description: This package provides an RTT plugin to add a ROS node to the RTT process, as well as several wrapper scripts to enable roslaunching of orocos programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rtt-ros//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
